from typing import Any


class UnknownGatewayError(Exception):
    pass


class AbstractGateway:
    @staticmethod
    def process_transaction(transaction: Any) -> None:
        raise NotImplementedError

    @staticmethod
    def process_callback(transaction: Any) -> None:
        raise NotImplementedError
